Page MenuHomePhabricator

[X86] Remove DecodeVPERMVMask and DecodeVPERMV3Mask
Needs ReviewPublic

Authored by kazu on Sat, Nov 21, 4:24 PM.

Details

Summary

This patch removes the variants of DecodeVPERMVMask and
DecodeVPERMV3Mask that take "const Constant *C" as they are not used
anymore.

They were introduced on Sep 8, 2015 in commit
e88038f23517ffc741acfd307ff92e2b1af136d8.

The last use of DecodeVPERMVMask(const Constant *C, ...) was removed
on Feb 7, 2016 in commit 73fc26b44a8591b15f13eaffef17e67161c69388.

The last use of DecodeVPERMV3Mask(const Constant *C, ...) was removed
on May 28, 2018 in commit dcfcfdb0d166fff8388bdd2edc5a2948054c9da1.

Diff Detail

Unit TestsFailed

TimeTest
390 mslinux > HWAddressSanitizer-x86_64.TestCases::sizes.cpp
Script: -- : 'RUN: at line 3'; /mnt/disks/ssd0/agent/llvm-project/build/./bin/clang --driver-mode=g++ -m64 -gline-tables-only -fsanitize=hwaddress -fuse-ld=lld -mcmodel=large -mllvm -hwasan-globals -mllvm -hwasan-use-short-granules -mllvm -hwasan-instrument-landing-pads=0 -mllvm -hwasan-instrument-personality-functions /mnt/disks/ssd0/agent/llvm-project/compiler-rt/test/hwasan/TestCases/sizes.cpp -nostdlib++ -lstdc++ -o /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/hwasan/X86_64/TestCases/Output/sizes.cpp.tmp
140 mslinux > MLIR.mlir-cpu-runner::async-group.mlir
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/build/bin/mlir-opt /mnt/disks/ssd0/agent/llvm-project/mlir/test/mlir-cpu-runner/async-group.mlir -async-ref-counting -convert-async-to-llvm -convert-std-to-llvm | mlir-cpu-runner -e main -entry-point-result=void -O0 -shared-libs=/mnt/disks/ssd0/agent/llvm-project/build/lib/libmlir_c_runner_utils.so -shared-libs=/mnt/disks/ssd0/agent/llvm-project/build/lib/libmlir_runner_utils.so -shared-libs=/mnt/disks/ssd0/agent/llvm-project/build/lib/libmlir_async_runtime.so | /mnt/disks/ssd0/agent/llvm-project/build/bin/FileCheck /mnt/disks/ssd0/agent/llvm-project/mlir/test/mlir-cpu-runner/async-group.mlir

Event Timeline

kazu created this revision.Sat, Nov 21, 4:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptSat, Nov 21, 4:24 PM
kazu requested review of this revision.Sat, Nov 21, 4:24 PM

Don't you mean DecodeVPERMVMask not DecodeVPPERMMask (which is an XOP shuffle) ?

kazu updated this revision to Diff 306921.Sun, Nov 22, 8:27 AM

Fixed a typo in the commit message.

kazu updated this revision to Diff 306922.Sun, Nov 22, 8:29 AM

Fixed another typo in the commit message.

kazu added a comment.Sun, Nov 22, 8:29 AM

Don't you mean DecodeVPERMVMask not DecodeVPPERMMask (which is an XOP shuffle) ?

Sorry about that. Should be fixed now.

kazu added a comment.Sun, Nov 22, 8:35 AM

Don't you mean DecodeVPERMVMask not DecodeVPPERMMask (which is an XOP shuffle) ?

Sorry about that. Should be fixed now.

Please verify the updated commit message under Revision Contents ->Commits. It looks like the commit message under Details at the top is stale. Thanks!

Harbormaster completed remote builds in B79728: Diff 306922.
RKSimon retitled this revision from [X86] Remove DecodeVPPERMMask and DecodeVPERMV3Mask to [X86] Remove DecodeVPERMVMask and DecodeVPERMV3Mask.Sun, Nov 22, 9:36 AM
RKSimon edited the summary of this revision. (Show Details)
RKSimon edited the summary of this revision. (Show Details)